| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | List of all members
Digikam::DImgLoaderSettings Class Referenceabstract
Inheritance diagram for Digikam::DImgLoaderSettings:

## Signals
void | signalSettingsChanged ()
| Signal to emit when a settings is changed from the widget.

## Public Member Functions
| DImgLoaderSettings (QWidget *const parent=nullptr)
QStringList | parameters () const
virtual void | setSettings (const DImgLoaderPrms &set)=0
| Set the parameters values in the widget from DImgLoaderPrms map container.
virtual DImgLoaderPrms | settings () const =0

## Member Function Documentation

## ◆ parameters()

QStringList Digikam::DImgLoaderSettings::parameters | ( |  | ) | const

Returns
  The list of supported parameter names.

## ◆ settings()

virtual DImgLoaderPrms Digikam::DImgLoaderSettings::settings | ( |  | ) | const
| pure virtual

Returns
  The DImgLoaderPrms map container of parameters/values from the Widget.